org.restlet.engine.io

## Class TraceInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.restlet.engine.io.TraceInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class TraceInputStream
    extends java.io.FilterInputStream

Filter input stream that sends a copy of all data on the standard console.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`TraceInputStream(java.io.InputStream in)` Constructor.

### Method Summary

Methods
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceInputStream

    public TraceInputStream(java.io.InputStream in)

Constructor.

Parameters:
  `in` - The input stream to wrap.

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`